Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1346006 - hadoop retirement breaks deps in F24 base repo
Summary: hadoop retirement breaks deps in F24 base repo
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hadoop
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christopher Tubbs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F24FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2016-06-13 16:04 UTC by Till Maas
Modified: 2016-06-22 18:46 UTC (History)
12 users (show)

Fixed In Version: hadoop-2.4.1-17.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-16 00:02:47 UTC
Type: Bug


Attachments (Terms of Use)

Description Till Maas 2016-06-13 16:04:57 UTC
This is a placeholder bug to allow to file a Freeze Exception. Hadoop was retired because it was orphaned. But then it was unretired, therefore the base repo contains pkgs that depend on hadoop but the hadoop package is currently missing.

Comment 1 Fedora Blocker Bugs Application 2016-06-13 16:05:55 UTC
Proposed as a Freeze Exception for 24-final by Fedora user till using the blocker tracking app because:

  The update for this package fixes a broken dependency in the base repo, see https://fedorahosted.org/rel-eng/ticket/6416 for more details.

Comment 2 Fedora Update System 2016-06-13 21:31:03 UTC
nc6-1.0-24.fc24 hadoop-2.4.1-17.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9f87727448

Comment 3 Adam Williamson 2016-06-13 22:57:02 UTC
+1, sure, fixing deps is good. hadoop isn't listed in comps or spin-kickstarts, so shouldn't break composes or increase sizes. Update provides the missing deps.

Comment 4 Kevin Fenzi 2016-06-13 23:01:29 UTC
Sure, +1 to fix base repos.

Comment 5 Ben Williams 2016-06-13 23:02:56 UTC
sure +1 FE

Comment 6 Nick Bebout 2016-06-13 23:23:02 UTC
+1 for Freeze Exception

Comment 7 Adam Williamson 2016-06-13 23:26:43 UTC
That's +4, marking Accepted.

Comment 8 Fedora Update System 2016-06-14 03:57:21 UTC
hadoop-2.4.1-17.fc24, nc6-1.0-24.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9f87727448

Comment 9 Raphael Groner 2016-06-14 07:25:04 UTC
IMHO it's a bad idea to reintroduce nc6, it's marked as dead development at upstream and recommends to use common netcat cause it has IPv6 support.

Comment 10 Till Maas 2016-06-14 19:56:14 UTC
(In reply to Raphael Groner from comment #9)
> IMHO it's a bad idea to reintroduce nc6, it's marked as dead development at
> upstream and recommends to use common netcat cause it has IPv6 support.

Unfortunately the new hadoop maintainer did not seem to have the time to fix this properly and there was not much time to get the base repo in shape. nc6 can still be retired in Rawhide at any time and hadoop could be fixed there, but AFAICS currently it does not build and there is a newer version upstream. Maybe it is already fixed there, but I do not have the time to look after it.

Comment 11 Fedora Update System 2016-06-16 00:02:41 UTC
hadoop-2.4.1-17.fc24, nc6-1.0-24.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Christopher Tubbs 2016-06-22 18:46:33 UTC
(In reply to Till Maas from comment #10)
> (In reply to Raphael Groner from comment #9)
> > IMHO it's a bad idea to reintroduce nc6, it's marked as dead development at
> > upstream and recommends to use common netcat cause it has IPv6 support.
> 
> Unfortunately the new hadoop maintainer did not seem to have the time to fix
> this properly and there was not much time to get the base repo in shape. nc6
> can still be retired in Rawhide at any time and hadoop could be fixed there,
> but AFAICS currently it does not build and there is a newer version
> upstream. Maybe it is already fixed there, but I do not have the time to
> look after it.

FWIW, I'm not even clear on why hadoop ever had a dependency on nc6. It did not appear to use it in any way. I did drop the dependency on nc6, and retired nc6 in rawhide (f25).

And, I've fixed the build for hadoop in rawhide and in f24 and will push an update to f24 when the arm build eventually finishes in koji.


Note You need to log in before you can comment on or make changes to this bug.